Bug 147937 - gconf values (user & default) corrupted/returned incorrectly after FC2 -> FC3 upgrade
gconf values (user & default) corrupted/returned incorrectly after FC2 -> FC3...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-13 10:18 EST by Neil Bird
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 11:51:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Bird 2005-02-13 10:18:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041129 Firefox/1.0

Description of problem:
After some major grief upgrading my box to FC3 from FC2 last weekend, I'm pinning the blame AFAICS on GConf2.

I had number of nasty gnome-related problems (glitches & crashes) which I've followed up on through judicious debuginfo RPMs [the core install is still runnig smoothly;  all back-end services (mail/hardware/etc.) function perfectly].

The symptoms all seem to stem from  apps. receiving null data back from gconf when reading config. keys.  E.g., gnome-background-properties was crashing reading the current background filename;  metacity's settings are all mostly borked (no key mappings at all, 0 desktops configured (see example error below);  the mulitload-applet seems to do nothing at all (no display, no error), the windowlist applet have major sizing issues [either 0-width or refuses to auto-resize]).  gconf-editor was crashing initially too!

Naturally, I created a fresh account, and also tried an existing dummy account with the home dir. wiped (all * & .[a-z]* wiped);  even these new account exhibit the problems, so just trashing the current .gconf dir. & starting again fixes it.

E.g., with a bl;ank user account, logging in for the 'first' time:

Window manager warning: 0 stored in GConf key /apps/metacity/general/num_workspaces is not a reasonable number of workspaces, current maximum is 36


 .. whereas the metacity schema file [where I believe the defaults come from] distinctly has:

...
    <schema>
      <key>/schemas/apps/metacity/general/num_workspaces</key>
      <applyto>/apps/metacity/general/num_workspaces</applyto>
      <owner>metacity</owner>
      <type>int</type>
      <default>4</default>
...

  What I've determined from debugging is that for the most part gconf_client_get is coming back with no error *BUT* also no value (null pointer) which is mostly where the crashes are coming (e.g., some code is just checking the error arg. [3rd., pointer-return] and not checking the return pointer-value itself before trying to deref. it.

  Within gconf-editor (somehow started working after multiple debug attempts in ddd/gdb), I see a large no. of keys are 'no value' (even type-less), and it's this 'null'/type-less attribute that seems to be causing the apps. to crash.  Certainly, if I double-click one to set it, I get the ability to choose its type, which I don't think's right.


  I can sometimes manage to coax stuff into life now I've managed to get gconf-editor loading (in my account) by setting proper values for the 'dead' ones, but there's something more fundamentally wrong going on here that that's not going to really help, and not eveything is playing ball (e.g., the monitor applet).

No-one else seems to be having this issue, and to be honest I'd pretty much decided that come FC4 I'll do a back-up and a full install instead of an upgrade to clear out all the rubbish (been doing upgrades since my first install of RH6.1 in 2000);  this has made that definite:  I reckon I can muddle through till then, but this is such a major glitch (as I said, but it bears repeating, it's a defaults issue that even new accounts suffer from, although I'm sure some of the settings were OK in my .gconf persionaly setting before - e.g., metacity bindings) I though it warranted a bug report.

Oh yes, and the settings I apply by hand through gconf-editor do seem to stay put once I've done so.


Version-Release number of selected component (if applicable):
GConf2-2.8.1-1

How reproducible:
Always

Steps to Reproduce:
n/a

Additional info:

RPMs:

GConf-devel-1.0.9-15.i386.rpm
GConf2-2.8.1-1.i386.rpm
GConf2-debuginfo-2.8.1-1.i386.rpm
GConf2-devel-2.8.1-1.i386.rpm
gconf-editor-2.8.0-2.i386.rpm
gconf-editor-debuginfo-2.8.0-2.i386.rpm
gconfmm2-2.6.1-1.rhfc2.nr.i386.rpm
gconfmm2-devel-2.6.1-1.rhfc2.nr.i386.rpm
gnome-python2-gconf-2.6.0-3.i386.rpm
pkgconfig-0.15.0-3_4.rhfc3.at.i386.rpm
Comment 1 Neil Bird 2005-02-19 15:02:41 EST
Righ, after some major debugging/piddling about, I've finally sussed the issue.
 I had 'LANG=en_GB' in /etc/sysconfig/i18n.  My PVR's fresh install of FC3 has
'en_GB.UTF-8', and changing mine to match that has made gconf happy again.

Your call as to whether you just close this bug report;  IMHO, something like
that shouldn't just hose gconf (well, pretty much all of GNOME), but seeing as
no-one else has reported it, maybe you can just call it 'one of those things' ...
Comment 2 Mark McLoughlin 2005-02-22 07:17:48 EST
Hmm, sounds nasty. If you could verify on a clean install that
changing LANG=en_GB breaks GConf (i.e. that it is definitely the
problem) that would be helpful.

Then we need to track down where the bug is.
Comment 3 Mark McLoughlin 2005-02-22 07:21:08 EST
Ah, I think it may have been this bug:

  http://bugzilla.gnome.org/show_bug.cgi?id=152175
Comment 4 Matthew Miller 2006-07-10 17:44:24 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Neil Bird 2006-07-11 03:05:18 EDT
I've not seen any hint of this since I raised it (I'm now updated to FC5);  you
may want to just close this as not-a-problem-any-more.
Comment 6 Matthew Miller 2006-07-11 11:51:43 EDT
Okay. Marking "WORKSFORME" as per comment #5.

Note You need to log in before you can comment on or make changes to this bug.